// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/dictionary/zone_weed_for_weed.proto

package dictionary

import (
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	dictionary_common "gitlab.com/adhocguru/fcp/apis/gen/dictionary/v1/dictionary_common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ZoneWeedforWeed struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id           int64                 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	VerminId     int64                 `protobuf:"varint,2,opt,name=vermin_id,json=verminId,proto3" json:"vermin_id,omitempty"`
	VerminName   string                `protobuf:"bytes,3,opt,name=vermin_name,json=verminName,proto3" json:"vermin_name,omitempty"`
	ZoneWeedId   int64                 `protobuf:"varint,4,opt,name=zone_weed_id,json=zoneWeedId,proto3" json:"zone_weed_id,omitempty"`
	ZoneWeedName string                `protobuf:"bytes,5,opt,name=zone_weed_name,json=zoneWeedName,proto3" json:"zone_weed_name,omitempty"`
	Hash         *wrappers.StringValue `protobuf:"bytes,21,opt,name=hash,proto3" json:"hash,omitempty"`
	Deleted      *wrappers.BoolValue   `protobuf:"bytes,22,opt,name=deleted,proto3" json:"deleted,omitempty"`
	CreatedBy    *wrappers.StringValue `protobuf:"bytes,23,opt,name=created_by,json=createdBy,proto3" json:"created_by,omitempty"`
	CreatedAt    *timestamp.Timestamp  `protobuf:"bytes,24,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	UpdatedBy    *wrappers.StringValue `protobuf:"bytes,25,opt,name=updated_by,json=updatedBy,proto3" json:"updated_by,omitempty"`
	UpdatedAt    *timestamp.Timestamp  `protobuf:"bytes,26,opt,name=updated_at,json=updatedAt,proto3" json:"updated_at,omitempty"`
}

func (x *ZoneWeedforWeed) Reset() {
	*x = ZoneWeedforWeed{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_zone_weed_for_weed_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ZoneWeedforWeed) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ZoneWeedforWeed) ProtoMessage() {}

func (x *ZoneWeedforWeed) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_zone_weed_for_weed_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ZoneWeedforWeed.ProtoReflect.Descriptor instead.
func (*ZoneWeedforWeed) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_zone_weed_for_weed_proto_rawDescGZIP(), []int{0}
}

func (x *ZoneWeedforWeed) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *ZoneWeedforWeed) GetVerminId() int64 {
	if x != nil {
		return x.VerminId
	}
	return 0
}

func (x *ZoneWeedforWeed) GetVerminName() string {
	if x != nil {
		return x.VerminName
	}
	return ""
}

func (x *ZoneWeedforWeed) GetZoneWeedId() int64 {
	if x != nil {
		return x.ZoneWeedId
	}
	return 0
}

func (x *ZoneWeedforWeed) GetZoneWeedName() string {
	if x != nil {
		return x.ZoneWeedName
	}
	return ""
}

func (x *ZoneWeedforWeed) GetHash() *wrappers.StringValue {
	if x != nil {
		return x.Hash
	}
	return nil
}

func (x *ZoneWeedforWeed) GetDeleted() *wrappers.BoolValue {
	if x != nil {
		return x.Deleted
	}
	return nil
}

func (x *ZoneWeedforWeed) GetCreatedBy() *wrappers.StringValue {
	if x != nil {
		return x.CreatedBy
	}
	return nil
}

func (x *ZoneWeedforWeed) GetCreatedAt() *timestamp.Timestamp {
	if x != nil {
		return x.CreatedAt
	}
	return nil
}

func (x *ZoneWeedforWeed) GetUpdatedBy() *wrappers.StringValue {
	if x != nil {
		return x.UpdatedBy
	}
	return nil
}

func (x *ZoneWeedforWeed) GetUpdatedAt() *timestamp.Timestamp {
	if x != nil {
		return x.UpdatedAt
	}
	return nil
}

type ZoneWeedforWeedFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id         *wrappers.Int64Value `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	VerminId   *wrappers.Int64Value `protobuf:"bytes,2,opt,name=vermin_id,json=verminId,proto3" json:"vermin_id,omitempty"`
	ZoneWeedId *wrappers.Int64Value `protobuf:"bytes,4,opt,name=zone_weed_id,json=zoneWeedId,proto3" json:"zone_weed_id,omitempty"`
	Deleted    *wrappers.BoolValue  `protobuf:"bytes,22,opt,name=deleted,proto3" json:"deleted,omitempty"`
}

func (x *ZoneWeedforWeedFilter) Reset() {
	*x = ZoneWeedforWeedFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_zone_weed_for_weed_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ZoneWeedforWeedFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ZoneWeedforWeedFilter) ProtoMessage() {}

func (x *ZoneWeedforWeedFilter) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_zone_weed_for_weed_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ZoneWeedforWeedFilter.ProtoReflect.Descriptor instead.
func (*ZoneWeedforWeedFilter) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_zone_weed_for_weed_proto_rawDescGZIP(), []int{1}
}

func (x *ZoneWeedforWeedFilter) GetId() *wrappers.Int64Value {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *ZoneWeedforWeedFilter) GetVerminId() *wrappers.Int64Value {
	if x != nil {
		return x.VerminId
	}
	return nil
}

func (x *ZoneWeedforWeedFilter) GetZoneWeedId() *wrappers.Int64Value {
	if x != nil {
		return x.ZoneWeedId
	}
	return nil
}

func (x *ZoneWeedforWeedFilter) GetDeleted() *wrappers.BoolValue {
	if x != nil {
		return x.Deleted
	}
	return nil
}

type ListZoneWeedforWeedRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *ZoneWeedforWeedFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
	// sortable fields: id, created_by, created_at, updated_by, updated_at
	Sortings []*dictionary_common.Sorting `protobuf:"bytes,2,rep,name=sortings,proto3" json:"sortings,omitempty"`
	// Pagination - Optional
	Pagination *dictionary_common.PaginationRequest `protobuf:"bytes,3,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListZoneWeedforWeedRequest) Reset() {
	*x = ListZoneWeedforWeedRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_zone_weed_for_weed_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListZoneWeedforWeedRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListZoneWeedforWeedRequest) ProtoMessage() {}

func (x *ListZoneWeedforWeedRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_zone_weed_for_weed_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListZoneWeedforWeedRequest.ProtoReflect.Descriptor instead.
func (*ListZoneWeedforWeedRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_zone_weed_for_weed_proto_rawDescGZIP(), []int{2}
}

func (x *ListZoneWeedforWeedRequest) GetFilter() *ZoneWeedforWeedFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

func (x *ListZoneWeedforWeedRequest) GetSortings() []*dictionary_common.Sorting {
	if x != nil {
		return x.Sortings
	}
	return nil
}

func (x *ListZoneWeedforWeedRequest) GetPagination() *dictionary_common.PaginationRequest {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type ListZoneWeedforWeedResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items      []*ZoneWeedforWeed                    `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
	Pagination *dictionary_common.PaginationResponse `protobuf:"bytes,2,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListZoneWeedforWeedResponse) Reset() {
	*x = ListZoneWeedforWeedResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_zone_weed_for_weed_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListZoneWeedforWeedResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListZoneWeedforWeedResponse) ProtoMessage() {}

func (x *ListZoneWeedforWeedResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_zone_weed_for_weed_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListZoneWeedforWeedResponse.ProtoReflect.Descriptor instead.
func (*ListZoneWeedforWeedResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_zone_weed_for_weed_proto_rawDescGZIP(), []int{3}
}

func (x *ListZoneWeedforWeedResponse) GetItems() []*ZoneWeedforWeed {
	if x != nil {
		return x.Items
	}
	return nil
}

func (x *ListZoneWeedforWeedResponse) GetPagination() *dictionary_common.PaginationResponse {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type GetZoneWeedforWeedRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *GetZoneWeedforWeedRequest) Reset() {
	*x = GetZoneWeedforWeedRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_zone_weed_for_weed_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetZoneWeedforWeedRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetZoneWeedforWeedRequest) ProtoMessage() {}

func (x *GetZoneWeedforWeedRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_zone_weed_for_weed_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetZoneWeedforWeedRequest.ProtoReflect.Descriptor instead.
func (*GetZoneWeedforWeedRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_zone_weed_for_weed_proto_rawDescGZIP(), []int{4}
}

func (x *GetZoneWeedforWeedRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type GetZoneWeedforWeedResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *ZoneWeedforWeed `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *GetZoneWeedforWeedResponse) Reset() {
	*x = GetZoneWeedforWeedResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_zone_weed_for_weed_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetZoneWeedforWeedResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetZoneWeedforWeedResponse) ProtoMessage() {}

func (x *GetZoneWeedforWeedResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_zone_weed_for_weed_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetZoneWeedforWeedResponse.ProtoReflect.Descriptor instead.
func (*GetZoneWeedforWeedResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_zone_weed_for_weed_proto_rawDescGZIP(), []int{5}
}

func (x *GetZoneWeedforWeedResponse) GetItem() *ZoneWeedforWeed {
	if x != nil {
		return x.Item
	}
	return nil
}

var File_v1_dictionary_zone_weed_for_weed_proto protoreflect.FileDescriptor

var file_v1_dictionary_zone_weed_for_weed_proto_rawDesc = []byte{
	0x0a, 0x26, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2f,
	0x7a, 0x6f, 0x6e, 0x65, 0x5f, 0x77, 0x65, 0x65, 0x64, 0x5f, 0x66, 0x6f, 0x72, 0x5f, 0x77, 0x65,
	0x65, 0x64, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1c, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x1a, 0x1e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x77, 0x72, 0x61, 0x70, 0x70, 0x65, 0x72, 0x73,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x2c, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x64, 0x69,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x85, 0x04, 0x0a, 0x0f, 0x5a, 0x6f, 0x6e, 0x65, 0x57, 0x65,
	0x65, 0x64, 0x66, 0x6f, 0x72, 0x57, 0x65, 0x65, 0x64, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1b, 0x0a, 0x09, 0x76, 0x65, 0x72,
	0x6d, 0x69, 0x6e, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x08, 0x76, 0x65,
	0x72, 0x6d, 0x69, 0x6e, 0x49, 0x64, 0x12, 0x1f, 0x0a, 0x0b, 0x76, 0x65, 0x72, 0x6d, 0x69, 0x6e,
	0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x76, 0x65, 0x72,
	0x6d, 0x69, 0x6e, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x20, 0x0a, 0x0c, 0x7a, 0x6f, 0x6e, 0x65, 0x5f,
	0x77, 0x65, 0x65, 0x64, 0x5f, 0x69, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x7a,
	0x6f, 0x6e, 0x65, 0x57, 0x65, 0x65, 0x64, 0x49, 0x64, 0x12, 0x24, 0x0a, 0x0e, 0x7a, 0x6f, 0x6e,
	0x65, 0x5f, 0x77, 0x65, 0x65, 0x64, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x0c, 0x7a, 0x6f, 0x6e, 0x65, 0x57, 0x65, 0x65, 0x64, 0x4e, 0x61, 0x6d, 0x65, 0x12,
	0x30, 0x0a, 0x04, 0x68, 0x61, 0x73, 0x68, 0x18, 0x15, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e,
	0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x04, 0x68, 0x61, 0x73,
	0x68, 0x12, 0x34, 0x0a, 0x07, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x18, 0x16, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2e, 0x42, 0x6f, 0x6f, 0x6c, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x07,
	0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x12, 0x3b, 0x0a, 0x0a, 0x63, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x64, 0x5f, 0x62, 0x79, 0x18, 0x17, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74,
	0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x64, 0x42, 0x79, 0x12, 0x39, 0x0a, 0x0a, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x5f,
	0x61, 0x74, 0x18, 0x18, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73,
	0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x12,
	0x3b, 0x0a, 0x0a, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x62, 0x79, 0x18, 0x19, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75,
	0x65, 0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x42, 0x79, 0x12, 0x39, 0x0a, 0x0a,
	0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x1a, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62,
	0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x75, 0x70,
	0x64, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x4a, 0x04, 0x08, 0x06, 0x10, 0x15, 0x22, 0x85, 0x02,
	0x0a, 0x15, 0x5a, 0x6f, 0x6e, 0x65, 0x57, 0x65, 0x65, 0x64, 0x66, 0x6f, 0x72, 0x57, 0x65, 0x65,
	0x64, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x2b, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49, 0x6e, 0x74, 0x36, 0x34, 0x56, 0x61, 0x6c, 0x75, 0x65,
	0x52, 0x02, 0x69, 0x64, 0x12, 0x38, 0x0a, 0x09, 0x76, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x5f, 0x69,
	0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49, 0x6e, 0x74, 0x36, 0x34, 0x56,
	0x61, 0x6c, 0x75, 0x65, 0x52, 0x08, 0x76, 0x65, 0x72, 0x6d, 0x69, 0x6e, 0x49, 0x64, 0x12, 0x3d,
	0x0a, 0x0c, 0x7a, 0x6f, 0x6e, 0x65, 0x5f, 0x77, 0x65, 0x65, 0x64, 0x5f, 0x69, 0x64, 0x18, 0x04,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49, 0x6e, 0x74, 0x36, 0x34, 0x56, 0x61, 0x6c, 0x75,
	0x65, 0x52, 0x0a, 0x7a, 0x6f, 0x6e, 0x65, 0x57, 0x65, 0x65, 0x64, 0x49, 0x64, 0x12, 0x34, 0x0a,
	0x07, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x18, 0x16, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x42, 0x6f, 0x6f, 0x6c, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x07, 0x64, 0x65, 0x6c, 0x65,
	0x74, 0x65, 0x64, 0x4a, 0x04, 0x08, 0x03, 0x10, 0x04, 0x4a, 0x04, 0x08, 0x05, 0x10, 0x15, 0x4a,
	0x04, 0x08, 0x15, 0x10, 0x16, 0x22, 0x8b, 0x02, 0x0a, 0x1a, 0x4c, 0x69, 0x73, 0x74, 0x5a, 0x6f,
	0x6e, 0x65, 0x57, 0x65, 0x65, 0x64, 0x66, 0x6f, 0x72, 0x57, 0x65, 0x65, 0x64, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x4b, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x33, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x2e, 0x5a, 0x6f, 0x6e, 0x65, 0x57, 0x65, 0x65, 0x64, 0x66, 0x6f, 0x72, 0x57,
	0x65, 0x65, 0x64, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65,
	0x72, 0x12, 0x48, 0x0a, 0x08, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x73, 0x18, 0x02, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x6f, 0x72, 0x74, 0x69, 0x6e,
	0x67, 0x52, 0x08, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x73, 0x12, 0x56, 0x0a, 0x0a, 0x70,
	0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x36, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x22, 0xbb, 0x01, 0x0a, 0x1b, 0x4c, 0x69, 0x73, 0x74, 0x5a, 0x6f, 0x6e, 0x65,
	0x57, 0x65, 0x65, 0x64, 0x66, 0x6f, 0x72, 0x57, 0x65, 0x65, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x43, 0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x2d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x2e, 0x5a, 0x6f, 0x6e, 0x65, 0x57, 0x65, 0x65, 0x64, 0x66, 0x6f, 0x72, 0x57, 0x65, 0x65,
	0x64, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x12, 0x57, 0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69,
	0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x37, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31,
	0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x22, 0x2b, 0x0a, 0x19, 0x47, 0x65, 0x74, 0x5a, 0x6f, 0x6e, 0x65, 0x57, 0x65, 0x65, 0x64,
	0x66, 0x6f, 0x72, 0x57, 0x65, 0x65, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x5f,
	0x0a, 0x1a, 0x47, 0x65, 0x74, 0x5a, 0x6f, 0x6e, 0x65, 0x57, 0x65, 0x65, 0x64, 0x66, 0x6f, 0x72,
	0x57, 0x65, 0x65, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x41, 0x0a, 0x04,
	0x69, 0x74, 0x65, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2d, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x5a, 0x6f, 0x6e, 0x65, 0x57, 0x65,
	0x65, 0x64, 0x66, 0x6f, 0x72, 0x57, 0x65, 0x65, 0x64, 0x52, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x42,
	0x68, 0x0a, 0x25, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e,
	0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x50, 0x01, 0x5a, 0x3a, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x61, 0x64, 0x68, 0x6f, 0x63, 0x67, 0x75, 0x72, 0x75,
	0x2f, 0x66, 0x63, 0x70, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x64, 0x69,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2f, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x33,
}

var (
	file_v1_dictionary_zone_weed_for_weed_proto_rawDescOnce sync.Once
	file_v1_dictionary_zone_weed_for_weed_proto_rawDescData = file_v1_dictionary_zone_weed_for_weed_proto_rawDesc
)

func file_v1_dictionary_zone_weed_for_weed_proto_rawDescGZIP() []byte {
	file_v1_dictionary_zone_weed_for_weed_proto_rawDescOnce.Do(func() {
		file_v1_dictionary_zone_weed_for_weed_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_dictionary_zone_weed_for_weed_proto_rawDescData)
	})
	return file_v1_dictionary_zone_weed_for_weed_proto_rawDescData
}

var file_v1_dictionary_zone_weed_for_weed_proto_msgTypes = make([]protoimpl.MessageInfo, 6)
var file_v1_dictionary_zone_weed_for_weed_proto_goTypes = []interface{}{
	(*ZoneWeedforWeed)(nil),                      // 0: fcp.dictionary.v1.dictionary.ZoneWeedforWeed
	(*ZoneWeedforWeedFilter)(nil),                // 1: fcp.dictionary.v1.dictionary.ZoneWeedforWeedFilter
	(*ListZoneWeedforWeedRequest)(nil),           // 2: fcp.dictionary.v1.dictionary.ListZoneWeedforWeedRequest
	(*ListZoneWeedforWeedResponse)(nil),          // 3: fcp.dictionary.v1.dictionary.ListZoneWeedforWeedResponse
	(*GetZoneWeedforWeedRequest)(nil),            // 4: fcp.dictionary.v1.dictionary.GetZoneWeedforWeedRequest
	(*GetZoneWeedforWeedResponse)(nil),           // 5: fcp.dictionary.v1.dictionary.GetZoneWeedforWeedResponse
	(*wrappers.StringValue)(nil),                 // 6: google.protobuf.StringValue
	(*wrappers.BoolValue)(nil),                   // 7: google.protobuf.BoolValue
	(*timestamp.Timestamp)(nil),                  // 8: google.protobuf.Timestamp
	(*wrappers.Int64Value)(nil),                  // 9: google.protobuf.Int64Value
	(*dictionary_common.Sorting)(nil),            // 10: fcp.dictionary.v1.dictionary_common.Sorting
	(*dictionary_common.PaginationRequest)(nil),  // 11: fcp.dictionary.v1.dictionary_common.PaginationRequest
	(*dictionary_common.PaginationResponse)(nil), // 12: fcp.dictionary.v1.dictionary_common.PaginationResponse
}
var file_v1_dictionary_zone_weed_for_weed_proto_depIdxs = []int32{
	6,  // 0: fcp.dictionary.v1.dictionary.ZoneWeedforWeed.hash:type_name -> google.protobuf.StringValue
	7,  // 1: fcp.dictionary.v1.dictionary.ZoneWeedforWeed.deleted:type_name -> google.protobuf.BoolValue
	6,  // 2: fcp.dictionary.v1.dictionary.ZoneWeedforWeed.created_by:type_name -> google.protobuf.StringValue
	8,  // 3: fcp.dictionary.v1.dictionary.ZoneWeedforWeed.created_at:type_name -> google.protobuf.Timestamp
	6,  // 4: fcp.dictionary.v1.dictionary.ZoneWeedforWeed.updated_by:type_name -> google.protobuf.StringValue
	8,  // 5: fcp.dictionary.v1.dictionary.ZoneWeedforWeed.updated_at:type_name -> google.protobuf.Timestamp
	9,  // 6: fcp.dictionary.v1.dictionary.ZoneWeedforWeedFilter.id:type_name -> google.protobuf.Int64Value
	9,  // 7: fcp.dictionary.v1.dictionary.ZoneWeedforWeedFilter.vermin_id:type_name -> google.protobuf.Int64Value
	9,  // 8: fcp.dictionary.v1.dictionary.ZoneWeedforWeedFilter.zone_weed_id:type_name -> google.protobuf.Int64Value
	7,  // 9: fcp.dictionary.v1.dictionary.ZoneWeedforWeedFilter.deleted:type_name -> google.protobuf.BoolValue
	1,  // 10: fcp.dictionary.v1.dictionary.ListZoneWeedforWeedRequest.filter:type_name -> fcp.dictionary.v1.dictionary.ZoneWeedforWeedFilter
	10, // 11: fcp.dictionary.v1.dictionary.ListZoneWeedforWeedRequest.sortings:type_name -> fcp.dictionary.v1.dictionary_common.Sorting
	11, // 12: fcp.dictionary.v1.dictionary.ListZoneWeedforWeedRequest.pagination:type_name -> fcp.dictionary.v1.dictionary_common.PaginationRequest
	0,  // 13: fcp.dictionary.v1.dictionary.ListZoneWeedforWeedResponse.items:type_name -> fcp.dictionary.v1.dictionary.ZoneWeedforWeed
	12, // 14: fcp.dictionary.v1.dictionary.ListZoneWeedforWeedResponse.pagination:type_name -> fcp.dictionary.v1.dictionary_common.PaginationResponse
	0,  // 15: fcp.dictionary.v1.dictionary.GetZoneWeedforWeedResponse.item:type_name -> fcp.dictionary.v1.dictionary.ZoneWeedforWeed
	16, // [16:16] is the sub-list for method output_type
	16, // [16:16] is the sub-list for method input_type
	16, // [16:16] is the sub-list for extension type_name
	16, // [16:16] is the sub-list for extension extendee
	0,  // [0:16] is the sub-list for field type_name
}

func init() { file_v1_dictionary_zone_weed_for_weed_proto_init() }
func file_v1_dictionary_zone_weed_for_weed_proto_init() {
	if File_v1_dictionary_zone_weed_for_weed_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_dictionary_zone_weed_for_weed_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ZoneWeedforWeed); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_zone_weed_for_weed_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ZoneWeedforWeedFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_zone_weed_for_weed_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListZoneWeedforWeedRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_zone_weed_for_weed_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListZoneWeedforWeedResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_zone_weed_for_weed_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetZoneWeedforWeedRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_zone_weed_for_weed_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetZoneWeedforWeedResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_dictionary_zone_weed_for_weed_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   6,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_dictionary_zone_weed_for_weed_proto_goTypes,
		DependencyIndexes: file_v1_dictionary_zone_weed_for_weed_proto_depIdxs,
		MessageInfos:      file_v1_dictionary_zone_weed_for_weed_proto_msgTypes,
	}.Build()
	File_v1_dictionary_zone_weed_for_weed_proto = out.File
	file_v1_dictionary_zone_weed_for_weed_proto_rawDesc = nil
	file_v1_dictionary_zone_weed_for_weed_proto_goTypes = nil
	file_v1_dictionary_zone_weed_for_weed_proto_depIdxs = nil
}
